## krename 4.0.1

=== src/CMakeLists.txt ===

add_subdirectory( pics )
add_subdirectory( servicemenus )

INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR} 
                     ${KDE4_INCLUDE_DIR} 
				     ${QT_INCLUDES} 
				     ${CMAKE_CURRENT_SOURCE_DIR} 
					 ${CMAKE_CURRENT_BINARY_DIR}
					 ${TAGLIB_INCLUDE_DIR} )

IF(EXIV2_FOUND)
  INCLUDE_DIRECTORIES( ${EXIV2_INCLUDE_DIR} )
ENDIF(EXIV2_FOUND)

ADD_DEFINITIONS(${TAGLIB_CFLAGS} ${EXIV2_CFLAGS} ${KDE4_DEFINITIONS} )
# Exiv2 needs exceptions
ADD_DEFINITIONS(${KDE4_ENABLE_EXCEPTIONS})

########### next target ###############


SET(krename_SRCS
  main.cpp 
  batchrenamer.cpp
  customdialog.cpp
  datetimeplugin.cpp
  exiv2plugin.cpp
  exthistorycombo.cpp
  filedialogextwidget.cpp
  fileplugin.cpp
  increasecounterplugin.cpp
  krenamefile.cpp 
  krenameimpl.cpp 
  krenamemodel.cpp
  krenametest.cpp
  krenamewindow.cpp
  modeltest.cpp
  numberdialog.cpp
  insertpartfilenamedlg.cpp
  threadedlister.cpp
  plugin.cpp
  pluginloader.cpp
  permissionsplugin.cpp
  previewlist.cpp
  progressdialog.cpp
  replacedialog.cpp
  scriptplugin.cpp
  systemplugin.cpp
  taglibplugin.cpp
  tokenhelpdialog.cpp
  translitplugin.cpp
  )

kde4_add_ui_files( krename_SRCS 
  customfilenamedlg.ui		
  datetimepluginwidget.ui
  increasecounterpluginwidget.ui
  guimodeselector.ui 
  partfilenamewidget.ui
  krenamefiles.ui 
  krenamedestination.ui 
  krenamefilename.ui 
  krenameplugins.ui
  numberwidget.ui
  permissionspluginwidget.ui
  progressdialog.ui
  replacewidget.ui
  replaceitemdlg.ui
  scriptpluginwidget.ui
  scriptplugindialog.ui
  tokenhelpwidget.ui
  )

#kde4_automoc( ${krename_SRCS} )
kde4_add_executable(krename ${krename_SRCS})

# find Nepomuk's libkmetadata
find_path(KMETADATA_INCLUDE_DIR NAMES kmetadata/kmetadata.h PATHS ${KDE4_INCLUDE_DIR})
find_library(KMETADATA_LIBRARY NAMES kmetadata PATHS ${KDE4_LIB_DIR})

if(KMETADATA_INCLUDE_DIR AND KMETADATA_LIBRARY)
  set(KDE4_KMETADATA kmetadata)
  set(HAVE_KMETADATA 1)
else(KMETADATA_INCLUDE_DIR AND KMETADATA_LIBRARY)
  set(KDE4_KMETADATA "")
endif(KMETADATA_INCLUDE_DIR AND KMETADATA_LIBRARY)

#configure_file(config-kmetadata.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kmetadata.h )


IF(EXIV2_FOUND)
	TARGET_LINK_LIBRARIES(krename ${KDE4_KDECORE_LIBS} 
                              ${KDE4_KDEUI_LIBS}
						      ${KDE4_KIO_LIBS} 
							  ${KDE4_KMETADATA}
							  ${KDE4_KJSAPI_LIBS} 
							  ${TAGLIB_LIBRARIES}
							  ${EXIV2_LIBRARIES} )
ELSE(EXIV2_FOUND)
	TARGET_LINK_LIBRARIES(krename ${KDE4_KDECORE_LIBS} 
                              ${KDE4_KDEUI_LIBS}
						      ${KDE4_KIO_LIBS} 
							  ${KDE4_KMETADATA}
							  ${KDE4_KJSAPI_LIBS} 
							  ${TAGLIB_LIBRARIES} )
ENDIF(EXIV2_FOUND)


# Others Files to install

INSTALL(TARGETS krename DESTINATION ${BIN_INSTALL_DIR})
INSTALL(FILES krename.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

## krename 4.0.3

=== CMakeLists.txt ===
project(krename)


# search packages used by KDE
find_package(KDE4 REQUIRED)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} 
                      ${KDE4_DATA_DIR}/cmake/modules
                      ${CMAKE_SOURCE_DIR}/cmake/modules )


SET(KRENAME_VERSION "4.0.3")

INCLUDE (KDE4Defaults)
INCLUDE (MacroLibrary)
INCLUDE (FindGettext)

# Find taglib
set(TAGLIB_MIN_VERSION "1.5")
macro_optional_find_package(Taglib REQUIRED)
macro_log_feature( TAGLIB_FOUND "taglib" "Read and write tags in audio files" "http://www.freshmeat.net/projects/taglib" TRUE "1.5.0" "")

IF(TAGLIB_FOUND)
  ADD_DEFINITIONS( -DWITH_TAGLIB )
  MESSAGE("-- The tablib library was found. KRename will be built with tablib support.")
ELSE(TAGLIB_FOUND)
  MESSAGE("-- The tablib library was not found. KRename will not be built with tablib support.")
ENDIF(TAGLIB_FOUND)

# Find exiv2
set(EXIV2_MIN_VERSION "0.13") # AccessMode was added in 0.13
macro_optional_find_package(Exiv2)
macro_log_feature(EXIV2_FOUND "Exiv2" "A library to access image metadata" "http://www.exiv2.org" FALSE "")

IF(EXIV2_FOUND)
  ADD_DEFINITIONS( -DWITH_EXIV2 )
  MESSAGE("-- The exiv2 library was found. KRename will be built with exiv2 support.")
ELSE(EXIV2_FOUND)
  MESSAGE("-- The exiv2 library was not found. KRename will not be built with exiv2 support.")
ENDIF(EXIV2_FOUND)

CONFIGURE_FILE(config-krename.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-krename.h )

# Directories

add_subdirectory(src)
add_subdirectory(po)

# Message stuff 

FILE(GLOB _POFILES po/*.po)
FOREACH(_p ${_POFILES})
  SET(POFILES "${_p} ${POFILES}")
ENDFOREACH(_p)

SET(MESSAGES_DIR ${CMAKE_SOURCE_DIR}/src)
CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmakemodules/package_messages.sh.in"
    "${CMAKE_CURRENT_BINARY_DIR}/package_messages.sh"
    IMMEDIATE
    @ONLY)
ADD_CUSTOM_TARGET(package-messages
    "${CMAKE_CURRENT_BINARY_DIR}/package_messages.sh")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR} 
                      ${KDE4_INCLUDE_DIR} 
-				     ${QT_INCLUDES} 
-				     ${CMAKE_CURRENT_SOURCE_DIR} 
-					 ${CMAKE_CURRENT_BINARY_DIR}
-					 ${TAGLIB_INCLUDE_DIR} )
+		     ${QT_INCLUDES} 
+		     ${CMAKE_CURRENT_SOURCE_DIR} 
+		     ${CMAKE_CURRENT_BINARY_DIR}
+		     ${TAGLIB_INCLUDE_DIR} )
 
 IF(EXIV2_FOUND)
   INCLUDE_DIRECTORIES( ${EXIV2_INCLUDE_DIR} )
@@ -25,13 +25,14 @@
   batchrenamer.cpp
   customdialog.cpp
   datetimeplugin.cpp
-  exiv2plugin.cpp
+  dirsortplugin.cpp
   exthistorycombo.cpp
   filedialogextwidget.cpp
   fileplugin.cpp
   increasecounterplugin.cpp
   krenamefile.cpp 
   krenameimpl.cpp 
+  krenamelistview.cpp
   krenamemodel.cpp
   krenametest.cpp
   krenamewindow.cpp
@@ -45,16 +46,32 @@
   previewlist.cpp
   progressdialog.cpp
   replacedialog.cpp
+  richtextitemdelegate.cpp
   scriptplugin.cpp
+  startupinfo.cpp
   systemplugin.cpp
-  taglibplugin.cpp
   tokenhelpdialog.cpp
   translitplugin.cpp
   )
 
+IF ( EXIV2_FOUND )
+  SET(krename_SRCS
+    ${krename_SRCS}
+    exiv2plugin.cpp
+    )
+ENDIF ( EXIV2_FOUND )
+
+IF ( TAGLIB_FOUND )
+  SET(krename_SRCS 
+    ${krename_SRCS}
+    taglibplugin.cpp
+    )
+ENDIF ( TAGLIB_FOUND )
+
 kde4_add_ui_files( krename_SRCS 
   customfilenamedlg.ui		
   datetimepluginwidget.ui
+  dirsortpluginwidget.ui
   increasecounterpluginwidget.ui
   guimodeselector.ui 
   partfilenamewidget.ui
@@ -69,6 +86,7 @@
   replaceitemdlg.ui
   scriptpluginwidget.ui
   scriptplugindialog.ui
+  startupinfowidget.ui
   tokenhelpwidget.ui
   )

## krename 4.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
                       ${CMAKE_SOURCE_DIR}/cmake/modules )
 
 
-SET(KRENAME_VERSION "4.0.3")
+SET(KRENAME_VERSION "4.0.4")
 
 INCLUDE (KDE4Defaults)
 INCLUDE (MacroLibrary)
@@ -42,6 +42,16 @@
 
 CONFIGURE_FILE(config-krename.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-krename.h )
 
+# Find podofo
+FIND_PACKAGE(LIBPODOFO)
+IF(LIBPODOFO_FOUND)
+  ADD_DEFINITIONS( -DWITH_PODOFO )
+  MESSAGE("-- The podofo library was found. KRename will be built with podofo support.")
+ELSE(LIBPODOFO_FOUND)
+  MESSAGE("-- The podofo library was not found. KRename will not be built with podofo support.")
+  SET(LIBPODOFO_LIB "")
+ENDIF(LIBPODOFO_FOUND)
+
 # Directories
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,11 @@
   INCLUDE_DIRECTORIES( ${EXIV2_INCLUDE_DIR} )
 ENDIF(EXIV2_FOUND)
 
-ADD_DEFINITIONS(${TAGLIB_CFLAGS} ${EXIV2_CFLAGS} ${KDE4_DEFINITIONS} )
+IF(LIBPODOFO_FOUND)
+  INCLUDE_DIRECTORIES( ${PODOFO_INCLUDES} )
+ENDIF(LIBPODOFO_FOUND)
+
+ADD_DEFINITIONS(${TAGLIB_CFLAGS} ${EXIV2_CFLAGS} ${LIBPODOFO_CFLAGS} ${KDE4_DEFINITIONS} )
 # Exiv2 needs exceptions
 ADD_DEFINITIONS(${KDE4_ENABLE_EXCEPTIONS})
 
@@ -68,6 +72,13 @@
     )
 ENDIF ( TAGLIB_FOUND )
 
+IF ( LIBPODOFO_FOUND )
+  SET(krename_SRCS 
+    ${krename_SRCS}
+    podofoplugin.cpp
+    )
+ENDIF ( LIBPODOFO_FOUND )
+
 kde4_add_ui_files( krename_SRCS 
   customfilenamedlg.ui		
   datetimepluginwidget.ui
@@ -108,22 +119,25 @@
 
 
 IF(EXIV2_FOUND)
-	TARGET_LINK_LIBRARIES(krename ${KDE4_KDECORE_LIBS} 
-                              ${KDE4_KDEUI_LIBS}
-						      ${KDE4_KIO_LIBS} 
-							  ${KDE4_KMETADATA}
-							  ${KDE4_KJSAPI_LIBS} 
-							  ${TAGLIB_LIBRARIES}
-							  ${EXIV2_LIBRARIES} )
+  TARGET_LINK_LIBRARIES(krename 
+    ${KDE4_KDECORE_LIBS} 
+    ${KDE4_KDEUI_LIBS}
+    ${KDE4_KIO_LIBS} 
+    ${KDE4_KMETADATA}
+    ${KDE4_KJSAPI_LIBS} 
+    ${TAGLIB_LIBRARIES}
+    ${LIBPODOFO_LIB}
+    ${EXIV2_LIBRARIES} )
 ELSE(EXIV2_FOUND)
-	TARGET_LINK_LIBRARIES(krename ${KDE4_KDECORE_LIBS} 
-                              ${KDE4_KDEUI_LIBS}
-						      ${KDE4_KIO_LIBS} 
-							  ${KDE4_KMETADATA}
-							  ${KDE4_KJSAPI_LIBS} 
-							  ${TAGLIB_LIBRARIES} )
+  TARGET_LINK_LIBRARIES(krename 
+    ${KDE4_KDECORE_LIBS} 
+    ${KDE4_KDEUI_LIBS}
+    ${KDE4_KIO_LIBS} 
+    ${KDE4_KMETADATA}
+    ${KDE4_KJSAPI_LIBS} 
+    {LIBPODOFO_LIB}
+    ${TAGLIB_LIBRARIES} )
 ENDIF(EXIV2_FOUND)
-
 
 # Others Files to install

=== debian/changelog ===
krename (4.0.4-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable. (LP: #601865) Remaining changes:
    - Export KUBUNTU_NO_DELETE_POT=1 in debian/rules so that the l10n stuff
      doesn't break the build

 -- Bilal Akhtar <bilalakhtar96@yahoo.com>  Fri, 09 Jul 2010 09:35:41 +0300

krename (4.0.4-2) unstable; urgency=low

  * Add 03_skip_equal.diff to skip renaming if source and target filenames are
    equal. Thanks to Bastian Kleineidam. (Closes: #577473)

 -- Fathi Boudra <fabo@debian.org>  Mon, 28 Jun 2010 21:36:15 +0300

krename (4.0.4-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add Portuguese translation. Thanks to Américo Monteiro. (Closes: #567566)
  * Update debian/control:
    - bump build dependencies (debhelper, pkg-kde-tools and kdelibs5-dev).
    - add libpodofo-dev build dependency.
    - bump Standards-Version to 3.8.4 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sun, 27 Jun 2010 10:01:46 +0300

krename (4.0.3-1ubuntu1) lucid; urgency=low

  * Export KUBUNTU_NO_DELETE_POT=1 in debian/rules so that the l10n stuff
    doesn't break the build

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 16 Feb 2010 18:50:25 -0500

krename (4.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #563848)

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu, 07 Jan 2010 09:09:58 -0600

krename (4.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sat, 14 Nov 2009 06:54:05 -0600

krename (4.0.0-1) unstable; urgency=low

  * New upstream release - First stable release for KDE 4.

  [Fathi Boudra]
  * Update debian/control:
    - bump debhelper and pkg-kde-tools build dependency versions.
    - bump Standards-Version to 3.8.3 (no changes needed).
  * Update debian/copyright: update Richard's Debian packaging copyright.
  * Cleanup debian/rules: use dh enhancement for kde.

 -- Richard A. Johnson <nixternal@ubuntu.com>  Wed, 23 Sep 2009 01:21:26 -0500

krename (3.9.3-1) unstable; urgency=low

  * New upstream release.

  [Richard A. Johnson]
  * Update debian/control:
    - remove quilt build dependency (not needed).
    - add build dependency on libexiv2-dev.
  * Remove debian/docs as it is no longer needed.

  [Fathi Boudra]
  * Cleanup debian/rules: use dh. Thanks to debhelper 7.

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 01 Jun 2009 16:55:40 -0500

krename (3.9.2-2) unstable; urgency=low

  * Add pkg-kde-tools build dependency.

 -- Fathi Boudra <fabo@debian.org>  Wed, 15 Apr 2009 10:39:52 +0200

krename (3.9.2-1) unstable; urgency=low

  * New upstream release. (Closes: #347621, #515455)
  * Bump compat to 7.
  * Update debian/control:
    - Bump debhelper to 7.
    - Add taglib build dependency.
    - Drop cdbs build dependency.
    - Bump Standards-Version to 3.8.1. No changes needed.
  * Update debian/copyright informations.
    Add modeltest source code copyrights.
  * Remove krename manpage. Outdated. (Closes: #501928)
  * Rewrite debian/rules.
  * Update debian/watch.

 -- Fathi Boudra <fabo@debian.org>  Sun, 12 Apr 2009 21:35:43 +0200

krename (3.9.0-1) unstable; urgency=low

  * Initial KDE 4 release.
  * Bump compat and debhelper to 6.
  * Adjust build dependencies to new build system.
  * Add Homepage, Vcs-Browser and Vcs-Svn fields.

 -- Fathi Boudra <fabo@debian.org>  Sun, 04 May 2008 12:12:22 +0200

krename (3.0.14-1) unstable; urgency=low

  * New Upstream Release (Closes: #402859, #423440)
  * Adopted Package - New Maintainer & Uploaders
  * debian/control:
    - Maintainer set to Debian KDE Extras Team
    - Richard A. Johnson set to uploaders
    - updated standards to version 3.7.2 - no changes necessary
    - updated build-dep debhelper >= 5 (changes to compat)
    - added libtool and automake1.10 to build-dep for Relibtoolization
    - added Krenames URL to description
  * debian/rules:
    - cleaned out commented lines
    - Relibtoolization at build time
  * Updated debian/copyright

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu, 17 May 2007 23:06:44 -0500

krename (3.0.9-2.1) unstable; urgency=low

  * NMU.
  * Remove build dependency on g++-3.4. Closes: #385835.

 -- Matthias Klose <doko@debian.org>  Sun,  3 Sep 2006 13:41:32 +0000

krename (3.0.9-2) unstable; urgency=low

  * No more Build-Depend on xlibs-dev

 -- Roman Kreisel <roman.kreisel@web.de>  Wed, 30 Nov 2005 13:46:48 +0100

krename (3.0.9-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Fri, 28 Oct 2005 21:56:34 +0200

krename (3.0.8-1) unstable; urgency=low

  * New upstream release (Closes: #329969)

 -- Roman Kreisel <roman.kreisel@web.de>  Sat, 24 Sep 2005 19:22:44 +0200

krename (3.0.7-4) unstable; urgency=low

  * Use GCC 3.4 on arm, m68k and hppa
  * updated manpage
  * Build-Dependency on xlibs-dev
  * moved from "utils - optional" to "kde - optional"

 -- Roman Kreisel <roman.kreisel@web.de>  Tue,  6 Sep 2005 01:30:57 +0200

krename (3.0.7-3) unstable; urgency=low

  * moved from dpatch to simple-patchsys of cdbs
  * Corrected a typo in copyright-file (wrong telephone-no. of fsf)
  * No more "0 errors occurred"-Message on successful operation. Fixed by
    upstream. (Closes: #309253)

 -- Roman Kreisel <roman.kreisel@web.de>  Fri,  2 Sep 2005 16:15:32 +0200

krename (3.0.7-2) unstable; urgency=low

  * Updated/corrected german translation (Closes: #313984)

 -- Roman Kreisel <roman.kreisel@web.de>  Fri,  2 Sep 2005 14:59:04 +0200

krename (3.0.7-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Mon, 29 Aug 2005 16:13:56 +0200

krename (3.0.6-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Thu, 18 Aug 2005 15:34:07 +0200

krename (3.0.4-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Thu, 21 Apr 2005 18:00:14 +0200

krename (3.0.3-2) unstable; urgency=low



=== debian/control ===
Source: krename
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Richard A. Johnson <nixternal@ubuntu.com>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.15),
 kdelibs5-dev (>= 4:4.4.4), libexiv2-dev, libtag1-dev, libpodofo-dev
Standards-Version: 3.8.4
Homepage: http://www.krename.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/krename/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/krename/trunk

Package: krename
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: powerful batch renamer for KDE
 KRename is a very powerful batch file renamer for KDE which can rename a list
 of files based on a set of expressions. It can copy/move the files to another
 directory or simply rename the input files.

=== debian/rules ===
#!/usr/bin/make -f

export KUBUNTU_NO_DELETE_POT=1

%:
	dh $@ --with kde

.PHONY: override_dh_auto_test

## krename 4.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
                       ${CMAKE_SOURCE_DIR}/cmake/modules )
 
 
-SET(KRENAME_VERSION "4.0.4")
+SET(KRENAME_VERSION "4.0.5")
 
 INCLUDE (KDE4Defaults)
 INCLUDE (MacroLibrary)
@@ -40,10 +40,9 @@
   MESSAGE("-- The exiv2 library was not found. KRename will not be built with exiv2 support.")
 ENDIF(EXIV2_FOUND)
 
-CONFIGURE_FILE(config-krename.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-krename.h )
-
 # Find podofo
-FIND_PACKAGE(LIBPODOFO)
+macro_optional_find_package(LIBPODOFO)
+macro_log_feature(LIBPODOFO_FOUND "libPodofo" "A library to access pdf metadata" "http://podofo.sourceforge.net/" FALSE "")
 IF(LIBPODOFO_FOUND)
   ADD_DEFINITIONS( -DWITH_PODOFO )
   MESSAGE("-- The podofo library was found. KRename will be built with podofo support.")
@@ -51,6 +50,21 @@
   MESSAGE("-- The podofo library was not found. KRename will not be built with podofo support.")
   SET(LIBPODOFO_LIB "")
 ENDIF(LIBPODOFO_FOUND)
+
+# Find freetype
+macro_optional_find_package(Freetype)
+macro_log_feature(FREETYPE_FOUND "FreeType2" "A library to access font metadata" "http://www.freetype.org" FALSE "")
+IF(FREETYPE_FOUND)
+  ADD_DEFINITIONS( -DWITH_FREETYPE )
+  MESSAGE("-- The freetype library was found. KRename will be built with freetype support.")
+ELSE(FREETYPE_FOUND)
+  MESSAGE("-- The freetype library was not found. KRename will not be built with freetype support.")
+  SET(FREETYPE_LIBRARIES "")
+ENDIF(FREETYPE_FOUND)
+
+
+# Update configuration
+CONFIGURE_FILE(config-krename.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-krename.h )
 
 # Directories

=== debian/changelog ===
krename (4.0.5-1build1) natty; urgency=low

  * No changes upload for libexiv2-10 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 25 Jan 2011 12:47:14 +0100

krename (4.0.5-1) unstable; urgency=low

  * New upstream release.
  * Remove patches:
    - 01_portugese_translations_contrib.diff - merged upstream
    - 03_skip_equal.diff - merged upstream
  * Update debian/control:
    - add libfreetype6-dev build dependency.
    - bump Standards-Version to 3.9.1 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Dec 2010 13:50:31 +0200

## krename 4.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
                       ${CMAKE_SOURCE_DIR}/cmake/modules )
 
 
-SET(KRENAME_VERSION "4.0.5")
+SET(KRENAME_VERSION "4.0.7")
 
 INCLUDE (KDE4Defaults)
 INCLUDE (MacroLibrary)

=== debian/changelog ===
krename (4.0.7-1ubuntu1) oneiric-proposed; urgency=low

  * Fix crash on static initialization. (LP: #849882)

 -- Fathi Boudra <fabo@debian.org>  Wed, 19 Oct 2011 21:12:00 +0300

krename (4.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Thu, 03 Mar 2011 10:54:03 +0200

krename (4.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 20 Feb 2011 11:11:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: krename
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Richard A. Johnson <nixternal@ubuntu.com>
 Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.15),
- kdelibs5-dev (>= 4:4.4.4), libexiv2-dev, libtag1-dev, libpodofo-dev
-Standards-Version: 3.8.4
+ kdelibs5-dev (>= 4:4.4.4), libexiv2-dev, libtag1-dev, libpodofo-dev,
+ libfreetype6-dev
+Standards-Version: 3.9.1
 Homepage: http://www.krename.net
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/krename/trunk
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/krename/trunk

## krename 4.0.9

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,10 @@
 IF(LIBPODOFO_FOUND)
   INCLUDE_DIRECTORIES( ${PODOFO_INCLUDES} )
 ENDIF(LIBPODOFO_FOUND)
+
+IF(FREETYPE_FOUND)
+  INCLUDE_DIRECTORIES( ${FREETYPE_INCLUDE_DIR} )
+ENDIF(FREETYPE_FOUND)
 
 ADD_DEFINITIONS(${TAGLIB_CFLAGS} ${EXIV2_CFLAGS} ${LIBPODOFO_CFLAGS} ${KDE4_DEFINITIONS} )
 # Exiv2 needs exceptions
@@ -39,6 +43,7 @@
   krenamelistview.cpp
   krenamemodel.cpp
   krenametest.cpp
+  krenametokensorter.cpp
   krenamewindow.cpp
   modeltest.cpp
   numberdialog.cpp
@@ -55,7 +60,9 @@
   startupinfo.cpp
   systemplugin.cpp
   tokenhelpdialog.cpp
+  tokensortmodedialog.cpp
   translitplugin.cpp
+  snumplugin.cpp
   )
 
 IF ( EXIV2_FOUND )
@@ -79,6 +86,14 @@
     )
 ENDIF ( LIBPODOFO_FOUND )
 
+IF(FREETYPE_FOUND)
+  SET(krename_SRCS 
+    ${krename_SRCS}
+    fontplugin.cpp
+    )
+ENDIF(FREETYPE_FOUND)
+
+
 kde4_add_ui_files( krename_SRCS 
   customfilenamedlg.ui		
   datetimepluginwidget.ui
@@ -99,6 +114,7 @@
   scriptplugindialog.ui
   startupinfowidget.ui
   tokenhelpwidget.ui
+  tokensortmodedialog.ui
   )
 
 #kde4_automoc( ${krename_SRCS} )
@@ -127,6 +143,7 @@
     ${KDE4_KJSAPI_LIBS} 
     ${TAGLIB_LIBRARIES}
     ${LIBPODOFO_LIB}
+    ${FREETYPE_LIBRARIES}
     ${EXIV2_LIBRARIES} )
 ELSE(EXIV2_FOUND)
   TARGET_LINK_LIBRARIES(krename 
@@ -135,7 +152,8 @@
     ${KDE4_KIO_LIBS} 
     ${KDE4_KMETADATA}
     ${KDE4_KJSAPI_LIBS} 
-    {LIBPODOFO_LIB}
+    ${LIBPODOFO_LIB}
+    ${FREETYPE_LIBRARIES}
     ${TAGLIB_LIBRARIES} )
 ENDIF(EXIV2_FOUND)

=== debian/changelog ===
krename (4.0.9-3) unstable; urgency=low

  * Team upload.
  * Bump to the debhelper 9 compatibility:
    - bump the debhelper build dependency to >= 9~
    - bump compat to 9
  * Fix Vcs-* headers.
  * Enable parallel build.
  * Link in as-needed mode.
  * Add the pkg-config build dependency.
  * Bump Standards-Version to 3.9.5, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 25 Dec 2013 19:24:27 +0100

krename (4.0.9-2) unstable; urgency=low

  * Fix FTBFS caused by freetype includes (Closes: #719395)

 -- Fathi Boudra <fabo@debian.org>  Sat, 16 Nov 2013 12:57:14 +0200

krename (4.0.9-1) unstable; urgency=low

  * New upstream release:
    - fix segfauls on startup. (Closes: #653892)
    - fix crash with SIGSEGV in __libc_csu_init(). (LP: #849882, #903593)

 -- Fathi Boudra <fabo@debian.org>  Mon, 02 Jan 2012 11:29:13 +0200

krename (4.0.7-2) unstable; urgency=low

  * Add find_libpodofo.patch to build with podofo support. (LP: #889425)

 -- Fathi Boudra <fabo@debian.org>  Sat, 31 Dec 2011 13:14:09 +0200

=== debian/control ===
Source: krename
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Richard A. Johnson <nixternal@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 9~),
               kdelibs5-dev (>= 4:4.4.4),
               libexiv2-dev,
               libfreetype6-dev,
               libpodofo-dev,
               libtag1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.6.15)
Standards-Version: 3.9.5
Homepage: http://www.krename.net
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/krename/trunk
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/krename/trunk

Package: krename
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: powerful batch renamer for KDE
 KRename is a very powerful batch file renamer for KDE which can rename a list
 of files based on a set of expressions. It can copy/move the files to another
 directory or simply rename the input files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://sf.net/krename/krename-(.*)\.tar\.bz2

## krename 5.0.0

=== CMakeLists.txt ===
project(krename)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
# search packages used by KDE
find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(ECMInstallIcons)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)

find_package(Qt5 REQUIRED COMPONENTS Core Widgets)
find_package(KF5 REQUIRED COMPONENTS
    Completion
    Config
    CoreAddons
    Crash
    I18n
    IconThemes
    ItemViews
    JobWidgets
    JS
    KIO
    Service
    WidgetsAddons
    XmlGui
)
# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
                      ${CMAKE_SOURCE_DIR}/cmake/modules)

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050700
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_STRICT_ITERATORS
)

set(KRENAME_VERSION "5.0.0")

include(FindGettext)

# Find taglib
set(TAGLIB_MIN_VERSION "1.5")
find_package(Taglib ${TAGLIB_MIN_VERSION})
set_package_properties(Taglib PROPERTIES
    DESCRIPTION "Read and write tags in audio files"
    URL "https://taglib.github.io/"
    TYPE OPTIONAL)

# Find exiv2
find_package(Exiv2 0.13) # AccessMode was added in 0.13
set_package_properties(Exiv2 PROPERTIES
    DESCRIPTION "A library to access image metadata"
    URL "http://www.exiv2.org"
    TYPE OPTIONAL)

# Find podofo
find_package(PoDoFo)
set_package_properties(PoDoFo PROPERTIES
    DESCRIPTION "A library to access PDF metadata"
    URL "http://podofo.sourceforge.net/"
    TYPE OPTIONAL)

# Find freetype
find_package(Freetype)
set_package_properties(Freetype PROPERTIES
    DESCRIPTION "A library to access font metadata"
    URL "http://www.freetype.org"
    TYPE OPTIONAL)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)


# Update configuration
include(MacroBoolTo01)
macro_bool_to_01(TAGLIB_FOUND HAVE_TAGLIB)
macro_bool_to_01(EXIV2_FOUND HAVE_EXIV2)
macro_bool_to_01(PoDoFo_FOUND HAVE_PODOFO)
macro_bool_to_01(FREETYPE_FOUND HAVE_FREETYPE)
configure_file(config-krename.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-krename.h)

# Directories

add_subdirectory(src)
add_subdirectory(autotests)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

include_directories(${CMAKE_SOURCE_DIR}/src)

find_package(Qt5Test CONFIG)

ecm_add_test(
    krenamefiletest.cpp
    ../src/krenamefile.cpp
    LINK_LIBRARIES
        Qt5::Core
        Qt5::Gui
        Qt5::Test
        KF5::KIOCore
        KF5::KIOWidgets
        KF5::IconThemes
    TEST_NAME krenamefiletest
)

=== debian/changelog ===
krename (5.0.0-2) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - remove --parallel for dh, as now done by default
  * Switch the transitional libfreetype6-dev build dependency to
    libfreetype-dev.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Backport upstream commits ec90823494f5ec9bb2e8098f44209f383ef8c22a, and
    b22de9135ba2a5abdbd2b275a60933a50f074010 to properly detect exiv2 >= 0.27,
    and build with it; patches
    upstream_Use-cmakedefine01-instead-of-macro_bool_to_01.patch, and
    upstream_Fix-building-against-exiv2-0.27.patch.
    - add a lintian override for the spelling error in the upstream commit
      message

 -- Pino Toscano <pino@debian.org>  Thu, 06 Feb 2020 08:43:18 +0100

krename (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - switches to Qt5/KF5 (Closes: #848000, #874982)
    - brings updated translations (Closes: #718521, #730736)
  * Upstream is now kde.org, so:
    - switch Homepage to https://userbase.kde.org/KRename
    - rewrite watch file to download.kde.org
  * Update the patches:
    - 02_remove_desktop_deprecated_key.diff: drop, fixed upstream
    - find_libpodofo.patch: drop, fixed upstream
    - fix-freetype-includes.patch: drop, fixed upstream
    - fix-flags.diff: dropm fixed upstream
    - cmake-policy.diff: drop, obsolete
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5completion-dev,
      libkf5config-dev, libkf5coreaddons-dev, libkf5crash-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, libkf5itemviews-dev, libkf5jobwidgets-dev,
      libkf5kio-dev, libkf5kjs-dev,  libkf5service-dev,
      libkf5widgetsaddons-dev, and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Bump Standards-Version to 4.1.3, no changes required.
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879361)
  * Enable the test suite, since it seems to be working fine now.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Feb 2018 11:14:03 +0100

krename (4.0.9-4) unstable; urgency=medium

  * Team upload.
  * Fix Vcs-Browser field.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Fix build with GCC 6; patch fix-flags.diff. (Closes: #811677)
  * Set the cmake minimum version required and policies; cmake-policy.diff.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Jun 2016 09:11:54 +0200

=== debian/control ===
Source: krename
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Richard A. Johnson <nixternal@ubuntu.com>,
Build-Depends: cmake,
               debhelper-compat (= 12),
               extra-cmake-modules,
               libexiv2-dev,
               libfreetype-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5kjs-dev,
               libkf5service-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libpodofo-dev,
               libtag1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev,
Standards-Version: 4.5.0
Homepage: https://userbase.kde.org/KRename
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krename
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krename.git

Package: krename
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: powerful batch renamer for KDE
 KRename is a very powerful batch file renamer for KDE which can rename a list
 of files based on a set of expressions. It can copy/move the files to another
 directory or simply rename the input files.

## krename 5.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,11 @@
+cmake_minimum_required(VERSION 3.7)
+
 project(krename)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 # search packages used by KDE
 find_package(ECM 0.0.11 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(ECMInstallIcons)
@@ -28,8 +30,8 @@
     XmlGui
 )
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
-                      ${CMAKE_SOURCE_DIR}/cmake/modules)
+set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules
+                      ${CMAKE_MODULE_PATH})
 
 add_definitions(
     -DQT_DEPRECATED_WARNINGS
@@ -39,7 +41,7 @@
     -DQT_STRICT_ITERATORS
 )
 
-set(KRENAME_VERSION "5.0.0")
+set(KRENAME_VERSION "5.0.1")
 
 include(FindGettext)
 
@@ -52,11 +54,12 @@
     TYPE OPTIONAL)
 
 # Find exiv2
-find_package(Exiv2 0.13) # AccessMode was added in 0.13
-set_package_properties(Exiv2 PROPERTIES
-    DESCRIPTION "A library to access image metadata"
-    URL "http://www.exiv2.org"
-    TYPE OPTIONAL)
+find_package(LibExiv2 0.13) # AccessMode was added in 0.13
+set_package_properties(LibExiv2 PROPERTIES TYPE OPTIONAL)
+
+if (LibExiv2_VERSION VERSION_GREATER_EQUAL "0.27")
+    set(HAVE_LIBEXIV2_0_27 TRUE)
+endif()
 
 # Find podofo
 find_package(PoDoFo)
@@ -69,18 +72,15 @@
 find_package(Freetype)
 set_package_properties(Freetype PROPERTIES
     DESCRIPTION "A library to access font metadata"
-    URL "http://www.freetype.org"
+    URL "https://www.freetype.org"
     TYPE OPTIONAL)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-
-# Update configuration
-include(MacroBoolTo01)
-macro_bool_to_01(TAGLIB_FOUND HAVE_TAGLIB)
-macro_bool_to_01(EXIV2_FOUND HAVE_EXIV2)
-macro_bool_to_01(PoDoFo_FOUND HAVE_PODOFO)
-macro_bool_to_01(FREETYPE_FOUND HAVE_FREETYPE)
+set(HAVE_TAGLIB ${TAGLIB_FOUND})
+set(HAVE_EXIV2 ${LibExiv2_FOUND})
+set(HAVE_PODOFO ${PoDoFo_FOUND})
+set(HAVE_FREETYPE ${FREETYPE_FOUND})
 configure_file(config-krename.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-krename.h)
 
 # Directories

=== src/CMakeLists.txt ===
add_subdirectory(pics)
add_subdirectory(servicemenus)

include_directories(${CMAKE_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
)

if(TAGLIB_FOUND)
    include_directories(${TAGLIB_INCLUDES})
endif()

if(EXIV2_FOUND)
    include_directories(${EXIV2_INCLUDE_DIR})
endif()

if(PoDoFo_FOUND)
    include_directories(${PoDoFo_INCLUDE_DIRS})
    add_definitions(${PoDoFo_DEFINITIONS})
endif()

if(FREETYPE_FOUND)
    include_directories(${FREETYPE_INCLUDE_DIRS})
endif()

add_definitions(${TAGLIB_CFLAGS})
# Exiv2 needs exceptions
kde_enable_exceptions()

########### next target ###############


set(krename_SRCS
    main.cpp
    batchrenamer.cpp
    customdialog.cpp
    datetimeplugin.cpp
    dirsortplugin.cpp
    exthistorycombo.cpp
    filedialogextwidget.cpp
    fileplugin.cpp
    increasecounterplugin.cpp
    krenamefile.cpp
    krenameimpl.cpp
    krenamelistview.cpp
    krenamemodel.cpp
    krenametest.cpp
    krenametokensorter.cpp
    krenamewindow.cpp
    modeltest.cpp
    numberdialog.cpp
    insertpartfilenamedlg.cpp
    threadedlister.cpp
    plugin.cpp
    pluginloader.cpp
    permissionsplugin.cpp
    previewlist.cpp
    progressdialog.cpp
    replacedialog.cpp
    richtextitemdelegate.cpp
    scriptplugin.cpp
    startupinfo.cpp
    systemplugin.cpp
    tokenhelpdialog.cpp
    tokensortmodedialog.cpp
    translitplugin.cpp
    snumplugin.cpp
)

if(LibExiv2_FOUND)
    set(krename_SRCS ${krename_SRCS}
        exiv2plugin.cpp
    )
endif()

if(TAGLIB_FOUND)
    set(krename_SRCS ${krename_SRCS}
        taglibplugin.cpp
    )
endif()

if(PoDoFo_FOUND)
    set(krename_SRCS ${krename_SRCS}
        podofoplugin.cpp
    )
endif()

if(FREETYPE_FOUND)
    set(krename_SRCS ${krename_SRCS}
        fontplugin.cpp
    )
endif()


ki18n_wrap_ui(krename_SRCS
    customfilenamedlg.ui
    datetimepluginwidget.ui
    dirsortpluginwidget.ui
    increasecounterpluginwidget.ui
    guimodeselector.ui
    partfilenamewidget.ui
    krenamefiles.ui
    krenamedestination.ui
    krenamefilename.ui
    krenameplugins.ui
    numberwidget.ui
    permissionspluginwidget.ui
    progressdialog.ui
    replacewidget.ui
    replaceitemdlg.ui
    scriptpluginwidget.ui
    scriptplugindialog.ui
    startupinfowidget.ui
    tokenhelpwidget.ui
    tokensortmodedialog.ui
)

add_executable(krename ${krename_SRCS})

target_link_libraries(krename
    KF5::Crash
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::I18n
    KF5::JSApi
    KF5::IconThemes
    Qt5::Widgets
)
if(TAGLIB_FOUND)
    target_link_libraries(krename
        ${TAGLIB_LIBRARIES}
    )
endif()
if(LibExiv2_FOUND)
    target_link_libraries(krename
        LibExiv2::LibExiv2
    )
endif()
if(PoDoFo_FOUND)
    target_link_libraries(krename
        ${PoDoFo_LIBRARIES}
    )
endif()
if(FREETYPE_FOUND)
    target_link_libraries(krename
        ${FREETYPE_LIBRARIES}
    )
endif()

# Others Files to install

install(TARGETS krename DESTINATION ${KDE_INSTALL_BINDIR})
install(PROGRAMS org.kde.krename.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.krename.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/pics/CMakeLists.txt ===
ecm_install_icons(ICONS
    32-apps-krename.png
    48-apps-krename.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)
ecm_install_icons(ICONS
    16-apps-krename.png
    32-apps-krename.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME locolor
)

=== src/servicemenus/CMakeLists.txt ===
install(FILES krename_all_nonrec.desktop krename_dir_rec.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus)

=== debian/changelog ===
krename (5.0.1-1build1) hirsute; urgency=medium

  * No-change rebuild for libpodofo soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2021 12:40:42 +0100

krename (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the upstream GPG signing key.
  * Update the patches:
    - upstream_Use-cmakedefine01-instead-of-macro_bool_to_01.patch:
      drop, backported from upstream
    - upstream_Fix-building-against-exiv2-0.27.patch: drop, backported
      from upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.7
    - explicitly add gettext
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add Rules-Requires-Root: no.
  * Remove the explicit as-needed linking, as it is done by binutils now.

 -- Pino Toscano <pino@debian.org>  Tue, 06 Oct 2020 07:13:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Richard A. Johnson <nixternal@ubuntu.com>,
-Build-Depends: cmake,
-               debhelper-compat (= 12),
+Build-Depends: cmake (>= 3.7~),
+               debhelper-compat (= 13),
                extra-cmake-modules,
+               gettext,
                libexiv2-dev,
                libfreetype-dev,
                libkf5completion-dev,
@@ -27,6 +28,7 @@
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://userbase.kde.org/KRename
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krename
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krename.git

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/([\d.]+)/src/@PACKAGE@-([\d.]+)\.tar\.xz

## krename 5.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
     -DQT_STRICT_ITERATORS
 )
 
-set(KRENAME_VERSION "5.0.1")
+set(KRENAME_VERSION "5.0.2")
 
 include(FindGettext)

=== src/pics/CMakeLists.txt ===
ecm_install_icons(ICONS
    16-apps-krename.png
    32-apps-krename.png
    48-apps-krename.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== debian/changelog ===
krename (5.0.2-2fakesync1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:47:48 +1100

krename (5.0.2-2fakesync1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:16:53 +0000

krename (5.0.2-2fakesync1) noble; urgency=medium

  * fakesync due to mismatching asc file
    krename_5.0.2.orig.tar.xz.asc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Nov 2023 08:50:42 +0100

krename (5.0.2-2) unstable; urgency=medium

  * Backport upstream commit e7dd767a9a1068ee1fe1502c4d619b57d3b12add to build
    with exiv2 0.28.0+; patch
    upstream_Fix-build-with-exiv2-0.28-raise-minimum-to-0.27.patch
    - bump the libexiv2-dev build dependency to 0.27.0 accordingly
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2023 12:46:32 +0100

krename (5.0.2-1fakesync1) kinetic; urgency=medium

  * fakesync due to mismatching asc file
    krename_5.0.2.orig.tar.xz.asc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Sep 2022 19:11:04 +0200

krename (5.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Drop-i-from-desktop-file.patch: drop, backported from upstream
    - upstream_Add-parameters-to-appdata.xml.patch: drop, backported from
      upstream

 -- Pino Toscano <pino@debian.org>  Fri, 02 Sep 2022 09:30:24 +0200

krename (5.0.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Backport upstream commit 9e21688a83e5683ad77fca3be91afe351552287b to drop
    %i from desktop file, fixing the launch of krename from menus on Wayland;
    patch upstream_Drop-i-from-desktop-file.patch. (Closes: #1010744)
  * Backport upstream commit 9f9cbdef3254740d00bfe28abd8b5b579f52700b to add
    <launchable>, <content_rating>, and <releases> details in the AppStream XML
    file; patch upstream_Add-parameters-to-appdata.xml.patch.

 -- Pino Toscano <pino@debian.org>  Sun, 14 Aug 2022 09:59:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: krename
 Section: utils
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Richard A. Johnson <nixternal@ubuntu.com>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.7~),
                debhelper-compat (= 13),
                extra-cmake-modules,
                gettext,
-               libexiv2-dev,
+               libexiv2-dev (>= 0.27.0~),
                libfreetype-dev,
                libkf5completion-dev,
                libkf5config-dev,
@@ -27,7 +28,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://userbase.kde.org/KRename
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krename

## krename 5.0.2%2Bgit20250107.83b86fa

=== debian/changelog ===
krename (5.0.2+git20250107.83b86fa-1build2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:24:17 +0000

krename (5.0.2+git20250107.83b86fa-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 12:17:18 +0000

krename (5.0.2+git20250107.83b86fa-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot as of 2025-01-07.
  * debian/control: Drop unnecessary constraints.
  * debian/copyright: Updated.

  [ Bastian Germann ]
  * Drop build dependency libkf5kjs-dev.
  * Build with Qt6. (Closes: #1092175)
  * d/copyright: Convert to machine-readable format.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 Jan 2025 14:19:52 -0500

krename (5.0.2-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against taglib 2.0.2.
  * debian/control: Update build-dep package name:
    + pkg-config => pkgconf.
    + libtag1-dev => libtag-dev.
  * debian/control: Bump Standards-Version 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 19:58:17 -0500
